# Class ExtractFunctionMixin

#### Hierarchy (View Summary)

- ExtractFunctionsMixin
  - ExtractFunctionMixin
    - ExtractIsValueFunctionMixin
    - ExtractToDisplayFunctionMixin

- Defined in packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:12
- Defined in packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:16

#####
Index

### Constructors

constructor

### Properties

injector

### Methods

extractFunction
extractFunctions

##
Constructors

### constructor

- new ExtractFunctionMixin(): ExtractFunctionMixin

  #### Returns ExtractFunctionMixin

  Inherited from ExtractFunctionsMixin.constructor

##
Properties

### `Protected` injector

injector: Injector

- Defined in packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:18

##
Methods

### extractFunction

- extractFunction<Args extends any[], Result>(
  defaultFunction?: null | UseFunctionType<Args, Result>,
  formDefinition: FormDefinition,
  controlId: string,
  name: string,
  ): UseFunctionType<Args, Result>

  #### Type Parameters

  - Args extends any[]
  - Result

  #### Parameters

  - defaultFunction: null | UseFunctionType<Args, Result> = null
  - formDefinition: FormDefinition
  - controlId: string
  - name: string

  #### Returns UseFunctionType<Args, Result>

  - Defined in packages/angular/form-system/src/lib/mixins/extract-function.mixin.ts:20

### `Protected` extractFunctions

- extractFunctions(
  defaultMap?:
  | null
  | Map<
  string,
  UseFunctionDefinition<
  unknown,
  any[],
  UseFunctionConfig<unknown, any[], any, any[]>,
  >,
  >,
  formDefinition: FormDefinition,
  controlId: string,
  ): Map<
  string,
  UseFunctionDefinition<
  unknown,
  any[],
  UseFunctionConfig<unknown, any[], any, any[]>,
  >,
  >

  #### Parameters

  - defaultMap:
    | null
    | Map<
    string,
    UseFunctionDefinition<
    unknown,
    any[],
    UseFunctionConfig<unknown, any[], any, any[]>,
    >,
    > = null
  - formDefinition: FormDefinition
  - controlId: string

  #### Returns Map<
  string,
  UseFunctionDefinition<
  unknown,
  any[],
  UseFunctionConfig<unknown, any[], any, any[]>,
  >,
  >

  Inherited from ExtractFunctionsMixin.extractFunctions

  - Defined in packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:43